
QGIS Application - Bug report #7410

The thickness of the line in 'line decoration' and 'simple line' symbols are not rendered in the same 

way

2013-03-21 08:37 AM - Salvatore Larosa

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16377

Description

In current master branch if I define the same thickness (Pen width) for line decoration 

and symbol line they are rendering in different way both preview and map canvas.

I have noticed this using the TopoViewer plugin.

I attached two images, before and after of merging the branch.

(See also: http://lists.osgeo.org/pipermail/qgis-developer/2013-March/024959.html)

History

#1 - 2013-05-23 10:33 AM - Sandro Santilli

This is still happening as of 83445af, it's pretty annoying.

I shall also notice that there's no way to obtain the old aspect of the arrow in term of angle and length.

Salvatore: do you also have a commit id for what you refer to as "merging the branch" point?

#2 - 2013-05-23 10:50 AM - Salvatore Larosa

Hi Sandro,

I was referring to the branch 6afd9f4 [0].

[0] - http://tinyurl.com/ohzuc5m

#3 - 2013-05-25 01:47 AM - Marco Hugentobler

- Status changed from Open to Closed

Linewidth is fixed in 2e89e25eda743f96a4ca0abdb920e1b9a6e85ecc

#4 - 2013-05-25 05:40 AM - Sandro Santilli

Confirmed with commit:2e89e25e - thanks a lot Marco !
#5 - 2013-05-30 11:37 AM - Sandro Santilli

- Status changed from Closed to Reopened

Marco: when you select a line the bogus (bigger) arrow gets back.

#6 - 2013-05-30 11:45 AM - Sandro Santilli

- Status changed from Reopened to Closed

- Resolution set to fixed

Fixed with commit:31f5ba90d191976858220a8e124d633dba769e50

#7 - 2013-05-31 06:55 AM - Sandro Santilli

Sorry I forgot to push. now pushed as commit:3f3ce480cf88088c24face9c6fcaa1bbcbb369a0
